| gclib 2.4.1 Galil Communications Library

Loading...
Searching...
No Matches
Public Attributes | List of all members
GDataRecord1806 Struct Reference

Data record struct for DMC-1806 controller. More...

`#include <gclib_record.h>`

## Public Attributes
UW | sample_number
| sample number.
UB | input_bank_0
| general input bank 0 (inputs 1-8).
UB | input_bank_1
| general input bank 1 (inputs 9-16).
UB | input_bank_2
| general input bank 2 (inputs 17-24).
UB | input_bank_3
| general input bank 3 (inputs 25-32).
UB | input_bank_4
| general input bank 4 (inputs 33-40).
UB | input_bank_5
| general input bank 5 (inputs 41-48).
UB | input_bank_6
| general input bank 6 (inputs 49-56).
UB | input_bank_7
| general input bank 7 (inputs 57-64).
UB | input_bank_8
| general input bank 8 (inputs 65-72).
UB | input_bank_9
| general input bank 9 (inputs 73-80).
UB | output_bank_0
| general output bank 0 (outputs 1-8).
UB | output_bank_1
| general output bank 1 (outputs 9-16).
UB | output_bank_2
| general output bank 2 (outputs 17-24).
UB | output_bank_3
| general output bank 3 (outputs 25-32).
UB | output_bank_4
| general output bank 4 (outputs 33-40).
UB | output_bank_5
| general output bank 5 (outputs 41-48).
UB | output_bank_6
| general output bank 6 (outputs 49-56).
UB | output_bank_7
| general output bank 7 (outputs 57-64).
UB | output_bank_8
| general output bank 8 (outputs 65-72).
UB | output_bank_9
| general output bank 9 (outputs 73-80).
SW | reserved_0
| Reserved.
SW | reserved_2
| Reserved.
SW | reserved_4
| Reserved.
SW | reserved_6
| Reserved.
SW | reserved_8
| Reserved.
SW | reserved_10
| Reserved.
SW | reserved_12
| Reserved.
SW | reserved_14
| Reserved.
UB | reserved_16
| Reserved.
UB | reserved_17
| Reserved.
UB | reserved_18
| Reserved.
UB | reserved_19
| Reserved.
UB | reserved_20
| Reserved.
UB | reserved_21
| Reserved.
UB | reserved_22
| Reserved.
UB | reserved_23
| Reserved.
UB | error_code
| error code.
UB | thread_status
| thread status.
UL | reserved_24
| Reserved.
UL | contour_segment_count
| Segment Count for Contour Mode.
UW | contour_buffer_available
| Buffer space remaining, Contour Mode.
UW | s_plane_segment_count
| segment count of coordinated move for S plane.
UW | s_plane_move_status
| coordinated move status for S plane.
SL | s_distance
| distance traveled in coordinated move for S plane.
UW | s_plane_buffer_available
| Buffer space remaining, S Plane.
UW | t_plane_segment_count
| segment count of coordinated move for T plane.
UW | t_plane_move_status
| Coordinated move status for T plane.
SL | t_distance
| distance traveled in coordinated move for T plane.
UW | t_plane_buffer_available
| Buffer space remaining, T Plane.
UW | axis_a_status
| A axis status.
UB | axis_a_switches
| A axis switches.
UB | axis_a_stop_code
| A axis stop code.
SL | axis_a_reference_position
| A axis reference position.
SL | axis_a_motor_position
| A axis motor position.
SL | axis_a_position_error
| A axis position error.
SL | axis_a_aux_position
| A axis auxiliary position.
SL | axis_a_velocity
| A axis velocity.
SL | axis_a_torque
| A axis torque.
UW | axis_a_analog_in
| A axis analog input.
UB | axis_a_reserved_0
| Reserved.
UB | axis_a_reserved_1
| Reserved.
SL | axis_a_variable
| A User-defined variable (ZA).
UW | axis_b_status
| B axis status.
UB | axis_b_switches
| B axis switches.
UB | axis_b_stop_code
| B axis stop code.
SL | axis_b_reference_position
| B axis reference position.
SL | axis_b_motor_position
| B axis motor position.
SL | axis_b_position_error
| B axis position error.
SL | axis_b_aux_position
| B axis auxiliary position.
SL | axis_b_velocity
| B axis velocity.
SL | axis_b_torque
| B axis torque.
UW | axis_b_analog_in
| B axis analog input.
UB | axis_b_reserved_0
| Reserved.
UB | axis_b_reserved_1
| Reserved.
SL | axis_b_variable
| B User-defined variable (ZA).
UW | axis_c_status
| C axis status.
UB | axis_c_switches
| C axis switches.
UB | axis_c_stop_code
| C axis stop code.
SL | axis_c_reference_position
| C axis reference position.
SL | axis_c_motor_position
| C axis motor position.
SL | axis_c_position_error
| C axis position error.
SL | axis_c_aux_position
| C axis auxiliary position.
SL | axis_c_velocity
| C axis velocity.
SL | axis_c_torque
| C axis torque.
UW | axis_c_analog_in
| C axis analog input.
UB | axis_c_reserved_0
| Reserved.
UB | axis_c_reserved_1
| Reserved.
SL | axis_c_variable
| C User-defined variable (ZA).
UW | axis_d_status
| D axis status.
UB | axis_d_switches
| D axis switches.
UB | axis_d_stop_code
| D axis stop code.
SL | axis_d_reference_position
| D axis reference position.
SL | axis_d_motor_position
| D axis motor position.
SL | axis_d_position_error
| D axis position error.
SL | axis_d_aux_position
| D axis auxiliary position.
SL | axis_d_velocity
| D axis velocity.
SL | axis_d_torque
| D axis torque.
UW | axis_d_analog_in
| D axis analog input.
UB | axis_d_reserved_0
| Reserved.
UB | axis_d_reserved_1
| Reserved.
SL | axis_d_variable
| D User-defined variable (ZA).
UW | axis_e_status
| E axis status.
UB | axis_e_switches
| E axis switches.
UB | axis_e_stop_code
| E axis stop code.
SL | axis_e_reference_position
| E axis reference position.
SL | axis_e_motor_position
| E axis motor position.
SL | axis_e_position_error
| E axis position error.
SL | axis_e_aux_position
| E axis auxiliary position.
SL | axis_e_velocity
| E axis velocity.
SL | axis_e_torque
| E axis torque.
UW | axis_e_analog_in
| E axis analog input.
UB | axis_e_reserved_0
| Reserved.
UB | axis_e_reserved_1
| Reserved.
SL | axis_e_variable
| E User-defined variable (ZA).
UW | axis_f_status
| F axis status.
UB | axis_f_switches
| F axis switches.
UB | axis_f_stop_code
| F axis stop code.
SL | axis_f_reference_position
| F axis reference position.
SL | axis_f_motor_position
| F axis motor position.
SL | axis_f_position_error
| F axis position error.
SL | axis_f_aux_position
| F axis auxiliary position.
SL | axis_f_velocity
| F axis velocity.
SL | axis_f_torque
| F axis torque.
UW | axis_f_analog_in
| F axis analog input.
UB | axis_f_reserved_0
| Reserved.
UB | axis_f_reserved_1
| Reserved.
SL | axis_f_variable
| F User-defined variable (ZA).
UW | axis_g_status
| G axis status.
UB | axis_g_switches
| G axis switches.
UB | axis_g_stop_code
| G axis stop code.
SL | axis_g_reference_position
| G axis reference position.
SL | axis_g_motor_position
| G axis motor position.
SL | axis_g_position_error
| G axis position error.
SL | axis_g_aux_position
| G axis auxiliary position.
SL | axis_g_velocity
| G axis velocity.
SL | axis_g_torque
| G axis torque.
UW | axis_g_analog_in
| G axis analog input.
UB | axis_g_reserved_0
| Reserved.
UB | axis_g_reserved_1
| Reserved.
SL | axis_g_variable
| G User-defined variable (ZA).
UW | axis_h_status
| H axis status.
UB | axis_h_switches
| H axis switches.
UB | axis_h_stop_code
| H axis stop code.
SL | axis_h_reference_position
| H axis reference position.
SL | axis_h_motor_position
| H axis motor position.
SL | axis_h_position_error
| H axis position error.
SL | axis_h_aux_position
| H axis auxiliary position.
SL | axis_h_velocity
| H axis velocity.
SL | axis_h_torque
| H axis torque.
UW | axis_h_analog_in
| H axis analog input.
UB | axis_h_reserved_0
| Reserved.
UB | axis_h_reserved_1
| Reserved.
SL | axis_h_variable
| H User-defined variable (ZA).

## Detailed Description

Data record struct for DMC-1806 controller.

The 18x6 Data record is the same as 4000 except the following.

1. No header bytes. Firmware strips it in DR. Software removes it from QR.
2. No Ethernet status (bytes 42-49).
3. No amplfifier status (bytes 52-55).
4. No axis-specific hall input status.

Definition at line 405 of file gclib_record.h.

## Member Data Documentation

## ◆ sample_number

UW GDataRecord1806::sample_number

sample number.

Definition at line 409 of file gclib_record.h.

## ◆ input_bank_0

UB GDataRecord1806::input_bank_0

general input bank 0 (inputs 1-8).

Definition at line 411 of file gclib_record.h.

## ◆ input_bank_1

UB GDataRecord1806::input_bank_1

general input bank 1 (inputs 9-16).

Definition at line 412 of file gclib_record.h.

## ◆ input_bank_2

UB GDataRecord1806::input_bank_2

general input bank 2 (inputs 17-24).

Definition at line 413 of file gclib_record.h.

## ◆ input_bank_3

UB GDataRecord1806::input_bank_3

general input bank 3 (inputs 25-32).

Definition at line 414 of file gclib_record.h.

## ◆ input_bank_4

UB GDataRecord1806::input_bank_4

general input bank 4 (inputs 33-40).

Definition at line 415 of file gclib_record.h.

## ◆ input_bank_5

UB GDataRecord1806::input_bank_5

general input bank 5 (inputs 41-48).

Definition at line 416 of file gclib_record.h.

## ◆ input_bank_6

UB GDataRecord1806::input_bank_6

general input bank 6 (inputs 49-56).

Definition at line 417 of file gclib_record.h.

## ◆ input_bank_7

UB GDataRecord1806::input_bank_7

general input bank 7 (inputs 57-64).

Definition at line 418 of file gclib_record.h.

## ◆ input_bank_8

UB GDataRecord1806::input_bank_8

general input bank 8 (inputs 65-72).

Definition at line 419 of file gclib_record.h.

## ◆ input_bank_9

UB GDataRecord1806::input_bank_9

general input bank 9 (inputs 73-80).

Definition at line 420 of file gclib_record.h.

## ◆ output_bank_0

UB GDataRecord1806::output_bank_0

general output bank 0 (outputs 1-8).

Definition at line 422 of file gclib_record.h.

## ◆ output_bank_1

UB GDataRecord1806::output_bank_1

general output bank 1 (outputs 9-16).

Definition at line 423 of file gclib_record.h.

## ◆ output_bank_2

UB GDataRecord1806::output_bank_2

general output bank 2 (outputs 17-24).

Definition at line 424 of file gclib_record.h.

## ◆ output_bank_3

UB GDataRecord1806::output_bank_3

general output bank 3 (outputs 25-32).

Definition at line 425 of file gclib_record.h.

## ◆ output_bank_4

UB GDataRecord1806::output_bank_4

general output bank 4 (outputs 33-40).

Definition at line 426 of file gclib_record.h.

## ◆ output_bank_5

UB GDataRecord1806::output_bank_5

general output bank 5 (outputs 41-48).

Definition at line 427 of file gclib_record.h.

## ◆ output_bank_6

UB GDataRecord1806::output_bank_6

general output bank 6 (outputs 49-56).

Definition at line 428 of file gclib_record.h.

## ◆ output_bank_7

UB GDataRecord1806::output_bank_7

general output bank 7 (outputs 57-64).

Definition at line 429 of file gclib_record.h.

## ◆ output_bank_8

UB GDataRecord1806::output_bank_8

general output bank 8 (outputs 65-72).

Definition at line 430 of file gclib_record.h.

## ◆ output_bank_9

UB GDataRecord1806::output_bank_9

general output bank 9 (outputs 73-80).

Definition at line 431 of file gclib_record.h.

## ◆ reserved_0

SW GDataRecord1806::reserved_0

Reserved.

Definition at line 433 of file gclib_record.h.

## ◆ reserved_2

SW GDataRecord1806::reserved_2

Reserved.

Definition at line 434 of file gclib_record.h.

## ◆ reserved_4

SW GDataRecord1806::reserved_4

Reserved.

Definition at line 435 of file gclib_record.h.

## ◆ reserved_6

SW GDataRecord1806::reserved_6

Reserved.

Definition at line 436 of file gclib_record.h.

## ◆ reserved_8

SW GDataRecord1806::reserved_8

Reserved.

Definition at line 437 of file gclib_record.h.

## ◆ reserved_10

SW GDataRecord1806::reserved_10

Reserved.

Definition at line 438 of file gclib_record.h.

## ◆ reserved_12

SW GDataRecord1806::reserved_12

Reserved.

Definition at line 439 of file gclib_record.h.

## ◆ reserved_14

SW GDataRecord1806::reserved_14

Reserved.

Definition at line 440 of file gclib_record.h.

## ◆ reserved_16

UB GDataRecord1806::reserved_16

Reserved.

Definition at line 442 of file gclib_record.h.

## ◆ reserved_17

UB GDataRecord1806::reserved_17

Reserved.

Definition at line 443 of file gclib_record.h.

## ◆ reserved_18

UB GDataRecord1806::reserved_18

Reserved.

Definition at line 444 of file gclib_record.h.

## ◆ reserved_19

UB GDataRecord1806::reserved_19

Reserved.

Definition at line 445 of file gclib_record.h.

## ◆ reserved_20

UB GDataRecord1806::reserved_20

Reserved.

Definition at line 446 of file gclib_record.h.

## ◆ reserved_21

UB GDataRecord1806::reserved_21

Reserved.

Definition at line 447 of file gclib_record.h.

## ◆ reserved_22

UB GDataRecord1806::reserved_22

Reserved.

Definition at line 448 of file gclib_record.h.

## ◆ reserved_23

UB GDataRecord1806::reserved_23

Reserved.

Definition at line 449 of file gclib_record.h.

## ◆ error_code

UB GDataRecord1806::error_code

error code.

Definition at line 451 of file gclib_record.h.

## ◆ thread_status

UB GDataRecord1806::thread_status

thread status.

Definition at line 452 of file gclib_record.h.

## ◆ reserved_24

UL GDataRecord1806::reserved_24

Reserved.

Definition at line 453 of file gclib_record.h.

## ◆ contour_segment_count

UL GDataRecord1806::contour_segment_count

Segment Count for Contour Mode.

Definition at line 455 of file gclib_record.h.

## ◆ contour_buffer_available

UW GDataRecord1806::contour_buffer_available

Buffer space remaining, Contour Mode.

Definition at line 456 of file gclib_record.h.

## ◆ s_plane_segment_count

UW GDataRecord1806::s_plane_segment_count

segment count of coordinated move for S plane.

Definition at line 458 of file gclib_record.h.

## ◆ s_plane_move_status

UW GDataRecord1806::s_plane_move_status

coordinated move status for S plane.

Definition at line 459 of file gclib_record.h.

## ◆ s_distance

SL GDataRecord1806::s_distance

distance traveled in coordinated move for S plane.

Definition at line 460 of file gclib_record.h.

## ◆ s_plane_buffer_available

UW GDataRecord1806::s_plane_buffer_available

Buffer space remaining, S Plane.

Definition at line 461 of file gclib_record.h.

## ◆ t_plane_segment_count

UW GDataRecord1806::t_plane_segment_count

segment count of coordinated move for T plane.

Definition at line 463 of file gclib_record.h.

## ◆ t_plane_move_status

UW GDataRecord1806::t_plane_move_status

Coordinated move status for T plane.

Definition at line 464 of file gclib_record.h.

## ◆ t_distance

SL GDataRecord1806::t_distance

distance traveled in coordinated move for T plane.

Definition at line 465 of file gclib_record.h.

## ◆ t_plane_buffer_available

UW GDataRecord1806::t_plane_buffer_available

Buffer space remaining, T Plane.

Definition at line 466 of file gclib_record.h.

## ◆ axis_a_status

UW GDataRecord1806::axis_a_status

A axis status.

Definition at line 468 of file gclib_record.h.

## ◆ axis_a_switches

UB GDataRecord1806::axis_a_switches

A axis switches.

Definition at line 469 of file gclib_record.h.

## ◆ axis_a_stop_code

UB GDataRecord1806::axis_a_stop_code

A axis stop code.

Definition at line 470 of file gclib_record.h.

## ◆ axis_a_reference_position

SL GDataRecord1806::axis_a_reference_position

A axis reference position.

Definition at line 471 of file gclib_record.h.

## ◆ axis_a_motor_position

SL GDataRecord1806::axis_a_motor_position

A axis motor position.

Definition at line 472 of file gclib_record.h.

## ◆ axis_a_position_error

SL GDataRecord1806::axis_a_position_error

A axis position error.

Definition at line 473 of file gclib_record.h.

## ◆ axis_a_aux_position

SL GDataRecord1806::axis_a_aux_position

A axis auxiliary position.

Definition at line 474 of file gclib_record.h.

## ◆ axis_a_velocity

SL GDataRecord1806::axis_a_velocity

A axis velocity.

Definition at line 475 of file gclib_record.h.

## ◆ axis_a_torque

SL GDataRecord1806::axis_a_torque

A axis torque.

Definition at line 476 of file gclib_record.h.

## ◆ axis_a_analog_in

UW GDataRecord1806::axis_a_analog_in

A axis analog input.

Definition at line 477 of file gclib_record.h.

## ◆ axis_a_reserved_0

UB GDataRecord1806::axis_a_reserved_0

Reserved.

Definition at line 478 of file gclib_record.h.

## ◆ axis_a_reserved_1

UB GDataRecord1806::axis_a_reserved_1

Reserved.

Definition at line 479 of file gclib_record.h.

## ◆ axis_a_variable

SL GDataRecord1806::axis_a_variable

A User-defined variable (ZA).

Definition at line 480 of file gclib_record.h.

## ◆ axis_b_status

UW GDataRecord1806::axis_b_status

B axis status.

Definition at line 482 of file gclib_record.h.

## ◆ axis_b_switches

UB GDataRecord1806::axis_b_switches

B axis switches.

Definition at line 483 of file gclib_record.h.

## ◆ axis_b_stop_code

UB GDataRecord1806::axis_b_stop_code

B axis stop code.

Definition at line 484 of file gclib_record.h.

## ◆ axis_b_reference_position

SL GDataRecord1806::axis_b_reference_position

B axis reference position.

Definition at line 485 of file gclib_record.h.

## ◆ axis_b_motor_position

SL GDataRecord1806::axis_b_motor_position

B axis motor position.

Definition at line 486 of file gclib_record.h.

## ◆ axis_b_position_error

SL GDataRecord1806::axis_b_position_error

B axis position error.

Definition at line 487 of file gclib_record.h.

## ◆ axis_b_aux_position

SL GDataRecord1806::axis_b_aux_position

B axis auxiliary position.

Definition at line 488 of file gclib_record.h.

## ◆ axis_b_velocity

SL GDataRecord1806::axis_b_velocity

B axis velocity.

Definition at line 489 of file gclib_record.h.

## ◆ axis_b_torque

SL GDataRecord1806::axis_b_torque

B axis torque.

Definition at line 490 of file gclib_record.h.

## ◆ axis_b_analog_in

UW GDataRecord1806::axis_b_analog_in

B axis analog input.

Definition at line 491 of file gclib_record.h.

## ◆ axis_b_reserved_0

UB GDataRecord1806::axis_b_reserved_0

Reserved.

Definition at line 492 of file gclib_record.h.

## ◆ axis_b_reserved_1

UB GDataRecord1806::axis_b_reserved_1

Reserved.

Definition at line 493 of file gclib_record.h.

## ◆ axis_b_variable

SL GDataRecord1806::axis_b_variable

B User-defined variable (ZA).

Definition at line 494 of file gclib_record.h.

## ◆ axis_c_status

UW GDataRecord1806::axis_c_status

C axis status.

Definition at line 496 of file gclib_record.h.

## ◆ axis_c_switches

UB GDataRecord1806::axis_c_switches

C axis switches.

Definition at line 497 of file gclib_record.h.

## ◆ axis_c_stop_code

UB GDataRecord1806::axis_c_stop_code

C axis stop code.

Definition at line 498 of file gclib_record.h.

## ◆ axis_c_reference_position

SL GDataRecord1806::axis_c_reference_position

C axis reference position.

Definition at line 499 of file gclib_record.h.

## ◆ axis_c_motor_position

SL GDataRecord1806::axis_c_motor_position

C axis motor position.

Definition at line 500 of file gclib_record.h.

## ◆ axis_c_position_error

SL GDataRecord1806::axis_c_position_error

C axis position error.

Definition at line 501 of file gclib_record.h.

## ◆ axis_c_aux_position

SL GDataRecord1806::axis_c_aux_position

C axis auxiliary position.

Definition at line 502 of file gclib_record.h.

## ◆ axis_c_velocity

SL GDataRecord1806::axis_c_velocity

C axis velocity.

Definition at line 503 of file gclib_record.h.

## ◆ axis_c_torque

SL GDataRecord1806::axis_c_torque

C axis torque.

Definition at line 504 of file gclib_record.h.

## ◆ axis_c_analog_in

UW GDataRecord1806::axis_c_analog_in

C axis analog input.

Definition at line 505 of file gclib_record.h.

## ◆ axis_c_reserved_0

UB GDataRecord1806::axis_c_reserved_0

Reserved.

Definition at line 506 of file gclib_record.h.

## ◆ axis_c_reserved_1

UB GDataRecord1806::axis_c_reserved_1

Reserved.

Definition at line 507 of file gclib_record.h.

## ◆ axis_c_variable

SL GDataRecord1806::axis_c_variable

C User-defined variable (ZA).

Definition at line 508 of file gclib_record.h.

## ◆ axis_d_status

UW GDataRecord1806::axis_d_status

D axis status.

Definition at line 510 of file gclib_record.h.

## ◆ axis_d_switches

UB GDataRecord1806::axis_d_switches

D axis switches.

Definition at line 511 of file gclib_record.h.

## ◆ axis_d_stop_code

UB GDataRecord1806::axis_d_stop_code

D axis stop code.

Definition at line 512 of file gclib_record.h.

## ◆ axis_d_reference_position

SL GDataRecord1806::axis_d_reference_position

D axis reference position.

Definition at line 513 of file gclib_record.h.

## ◆ axis_d_motor_position

SL GDataRecord1806::axis_d_motor_position

D axis motor position.

Definition at line 514 of file gclib_record.h.

## ◆ axis_d_position_error

SL GDataRecord1806::axis_d_position_error

D axis position error.

Definition at line 515 of file gclib_record.h.

## ◆ axis_d_aux_position

SL GDataRecord1806::axis_d_aux_position

D axis auxiliary position.

Definition at line 516 of file gclib_record.h.

## ◆ axis_d_velocity

SL GDataRecord1806::axis_d_velocity

D axis velocity.

Definition at line 517 of file gclib_record.h.

## ◆ axis_d_torque

SL GDataRecord1806::axis_d_torque

D axis torque.

Definition at line 518 of file gclib_record.h.

## ◆ axis_d_analog_in

UW GDataRecord1806::axis_d_analog_in

D axis analog input.

Definition at line 519 of file gclib_record.h.

## ◆ axis_d_reserved_0

UB GDataRecord1806::axis_d_reserved_0

Reserved.

Definition at line 520 of file gclib_record.h.

## ◆ axis_d_reserved_1

UB GDataRecord1806::axis_d_reserved_1

Reserved.

Definition at line 521 of file gclib_record.h.

## ◆ axis_d_variable

SL GDataRecord1806::axis_d_variable

D User-defined variable (ZA).

Definition at line 522 of file gclib_record.h.

## ◆ axis_e_status

UW GDataRecord1806::axis_e_status

E axis status.

Definition at line 524 of file gclib_record.h.

## ◆ axis_e_switches

UB GDataRecord1806::axis_e_switches

E axis switches.

Definition at line 525 of file gclib_record.h.

## ◆ axis_e_stop_code

UB GDataRecord1806::axis_e_stop_code

E axis stop code.

Definition at line 526 of file gclib_record.h.

## ◆ axis_e_reference_position

SL GDataRecord1806::axis_e_reference_position

E axis reference position.

Definition at line 527 of file gclib_record.h.

## ◆ axis_e_motor_position

SL GDataRecord1806::axis_e_motor_position

E axis motor position.

Definition at line 528 of file gclib_record.h.

## ◆ axis_e_position_error

SL GDataRecord1806::axis_e_position_error

E axis position error.

Definition at line 529 of file gclib_record.h.

## ◆ axis_e_aux_position

SL GDataRecord1806::axis_e_aux_position

E axis auxiliary position.

Definition at line 530 of file gclib_record.h.

## ◆ axis_e_velocity

SL GDataRecord1806::axis_e_velocity

E axis velocity.

Definition at line 531 of file gclib_record.h.

## ◆ axis_e_torque

SL GDataRecord1806::axis_e_torque

E axis torque.

Definition at line 532 of file gclib_record.h.

## ◆ axis_e_analog_in

UW GDataRecord1806::axis_e_analog_in

E axis analog input.

Definition at line 533 of file gclib_record.h.

## ◆ axis_e_reserved_0

UB GDataRecord1806::axis_e_reserved_0

Reserved.

Definition at line 534 of file gclib_record.h.

## ◆ axis_e_reserved_1

UB GDataRecord1806::axis_e_reserved_1

Reserved.

Definition at line 535 of file gclib_record.h.

## ◆ axis_e_variable

SL GDataRecord1806::axis_e_variable

E User-defined variable (ZA).

Definition at line 536 of file gclib_record.h.

## ◆ axis_f_status

UW GDataRecord1806::axis_f_status

F axis status.

Definition at line 538 of file gclib_record.h.

## ◆ axis_f_switches

UB GDataRecord1806::axis_f_switches

F axis switches.

Definition at line 539 of file gclib_record.h.

## ◆ axis_f_stop_code

UB GDataRecord1806::axis_f_stop_code

F axis stop code.

Definition at line 540 of file gclib_record.h.

## ◆ axis_f_reference_position

SL GDataRecord1806::axis_f_reference_position

F axis reference position.

Definition at line 541 of file gclib_record.h.

## ◆ axis_f_motor_position

SL GDataRecord1806::axis_f_motor_position

F axis motor position.

Definition at line 542 of file gclib_record.h.

## ◆ axis_f_position_error

SL GDataRecord1806::axis_f_position_error

F axis position error.

Definition at line 543 of file gclib_record.h.

## ◆ axis_f_aux_position

SL GDataRecord1806::axis_f_aux_position

F axis auxiliary position.

Definition at line 544 of file gclib_record.h.

## ◆ axis_f_velocity

SL GDataRecord1806::axis_f_velocity

F axis velocity.

Definition at line 545 of file gclib_record.h.

## ◆ axis_f_torque

SL GDataRecord1806::axis_f_torque

F axis torque.

Definition at line 546 of file gclib_record.h.

## ◆ axis_f_analog_in

UW GDataRecord1806::axis_f_analog_in

F axis analog input.

Definition at line 547 of file gclib_record.h.

## ◆ axis_f_reserved_0

UB GDataRecord1806::axis_f_reserved_0

Reserved.

Definition at line 548 of file gclib_record.h.

## ◆ axis_f_reserved_1

UB GDataRecord1806::axis_f_reserved_1

Reserved.

Definition at line 549 of file gclib_record.h.

## ◆ axis_f_variable

SL GDataRecord1806::axis_f_variable

F User-defined variable (ZA).

Definition at line 550 of file gclib_record.h.

## ◆ axis_g_status

UW GDataRecord1806::axis_g_status

G axis status.

Definition at line 552 of file gclib_record.h.

## ◆ axis_g_switches

UB GDataRecord1806::axis_g_switches

G axis switches.

Definition at line 553 of file gclib_record.h.

## ◆ axis_g_stop_code

UB GDataRecord1806::axis_g_stop_code

G axis stop code.

Definition at line 554 of file gclib_record.h.

## ◆ axis_g_reference_position

SL GDataRecord1806::axis_g_reference_position

G axis reference position.

Definition at line 555 of file gclib_record.h.

## ◆ axis_g_motor_position

SL GDataRecord1806::axis_g_motor_position

G axis motor position.

Definition at line 556 of file gclib_record.h.

## ◆ axis_g_position_error

SL GDataRecord1806::axis_g_position_error

G axis position error.

Definition at line 557 of file gclib_record.h.

## ◆ axis_g_aux_position

SL GDataRecord1806::axis_g_aux_position

G axis auxiliary position.

Definition at line 558 of file gclib_record.h.

## ◆ axis_g_velocity

SL GDataRecord1806::axis_g_velocity

G axis velocity.

Definition at line 559 of file gclib_record.h.

## ◆ axis_g_torque

SL GDataRecord1806::axis_g_torque

G axis torque.

Definition at line 560 of file gclib_record.h.

## ◆ axis_g_analog_in

UW GDataRecord1806::axis_g_analog_in

G axis analog input.

Definition at line 561 of file gclib_record.h.

## ◆ axis_g_reserved_0

UB GDataRecord1806::axis_g_reserved_0

Reserved.

Definition at line 562 of file gclib_record.h.

## ◆ axis_g_reserved_1

UB GDataRecord1806::axis_g_reserved_1

Reserved.

Definition at line 563 of file gclib_record.h.

## ◆ axis_g_variable

SL GDataRecord1806::axis_g_variable

G User-defined variable (ZA).

Definition at line 564 of file gclib_record.h.

## ◆ axis_h_status

UW GDataRecord1806::axis_h_status

H axis status.

Definition at line 566 of file gclib_record.h.

## ◆ axis_h_switches

UB GDataRecord1806::axis_h_switches

H axis switches.

Definition at line 567 of file gclib_record.h.

## ◆ axis_h_stop_code

UB GDataRecord1806::axis_h_stop_code

H axis stop code.

Definition at line 568 of file gclib_record.h.

## ◆ axis_h_reference_position

SL GDataRecord1806::axis_h_reference_position

H axis reference position.

Definition at line 569 of file gclib_record.h.

## ◆ axis_h_motor_position

SL GDataRecord1806::axis_h_motor_position

H axis motor position.

Definition at line 570 of file gclib_record.h.

## ◆ axis_h_position_error

SL GDataRecord1806::axis_h_position_error

H axis position error.

Definition at line 571 of file gclib_record.h.

## ◆ axis_h_aux_position

SL GDataRecord1806::axis_h_aux_position

H axis auxiliary position.

Definition at line 572 of file gclib_record.h.

## ◆ axis_h_velocity

SL GDataRecord1806::axis_h_velocity

H axis velocity.

Definition at line 573 of file gclib_record.h.

## ◆ axis_h_torque

SL GDataRecord1806::axis_h_torque

H axis torque.

Definition at line 574 of file gclib_record.h.

## ◆ axis_h_analog_in

UW GDataRecord1806::axis_h_analog_in

H axis analog input.

Definition at line 575 of file gclib_record.h.

## ◆ axis_h_reserved_0

UB GDataRecord1806::axis_h_reserved_0

Reserved.

Definition at line 576 of file gclib_record.h.

## ◆ axis_h_reserved_1

UB GDataRecord1806::axis_h_reserved_1

Reserved.

Definition at line 577 of file gclib_record.h.

## ◆ axis_h_variable

SL GDataRecord1806::axis_h_variable

H User-defined variable (ZA).

Definition at line 578 of file gclib_record.h.

The documentation for this struct was generated from the following file:

- gclib_record.h